Subject: bug#44317: [PATCH] cperl-mode: Make timeout tests more robust

From: Stefan Kangas <[email-masked]>
Date: Thu, 29 Oct 2020 14:49:22 -0700

close 44317 28.1
thanks

[email-masked] (Harald Jörg) writes:

> One of the tests in cperl-mode-tests.el starts an external Emacs process
> under timeout to check for an endless loop.  It turns out that the
> timeout of 1 sec is rather short for slower machines.  Thanks to recent
> ERT which now reports the run time in batch tests, I saw that it takes
> about 0.7 seconds on my machine, so I increased the timeout to 2
> seconds.
>
> I also flagged the test as "expensive" and skip it under older Emacs
> versions (I run tests for Emacs version 26.1 and above).

Thanks, makes sense.  Pushed to master as commit 96e371b44a.